package com.yd.api.practitioner.vo.unionSales;

public class UnionSalesPractitionerInfo {

	private Long id;//主键IDPRIauto_increment
	private Long unionSalesId;//联合销售ID
	private Long practitionerId;//经纪人ID
	private String practitionerName;//经纪人名称
	private Double commissionRate;//分佣比例
	private Double achievementsRate;//业绩比例
	private String signStatus;//签署状态(1:待签署;2:签署中;3:已签署)
	private String signDate;//签署日期
	private String signUlr;//签署文件
	private int signX;//签署位置X
	private int signY;//签署位置Y
	private String flag;//标识
	private String remark;//备注
	private Integer isActive;//是否启用(0=No, 1=Yes)
	private int signCount;//已签署总数
	private String salesSignUlr;//签署文件URl
	private String insurerName;//保险公司名称
	private String productName;//产品名称
	private String proposalNo;//投保单号
	private String policyNo;//保单号
	private String policyholderName;//投保人姓名
	
	/**
	 * @return the id
	 */
	public Long getId() {
		return id;
	}
	/**
	 * @param id the id to set
	 */
	public void setId(Long id) {
		this.id = id;
	}
	/**
	 * @return the unionSalesId
	 */
	public Long getUnionSalesId() {
		return unionSalesId;
	}
	/**
	 * @param unionSalesId the unionSalesId to set
	 */
	public void setUnionSalesId(Long unionSalesId) {
		this.unionSalesId = unionSalesId;
	}
	/**
	 * @return the practitionerId
	 */
	public Long getPractitionerId() {
		return practitionerId;
	}
	/**
	 * @param practitionerId the practitionerId to set
	 */
	public void setPractitionerId(Long practitionerId) {
		this.practitionerId = practitionerId;
	}
	/**
	 * @return the practitionerName
	 */
	public String getPractitionerName() {
		return practitionerName;
	}
	/**
	 * @param practitionerName the practitionerName to set
	 */
	public void setPractitionerName(String practitionerName) {
		this.practitionerName = practitionerName;
	}
	/**
	 * @return the commissionRate
	 */
	public Double getCommissionRate() {
		return commissionRate;
	}
	/**
	 * @param commissionRate the commissionRate to set
	 */
	public void setCommissionRate(Double commissionRate) {
		this.commissionRate = commissionRate;
	}
	/**
	 * @return the achievementsRate
	 */
	public Double getAchievementsRate() {
		return achievementsRate;
	}
	/**
	 * @param achievementsRate the achievementsRate to set
	 */
	public void setAchievementsRate(Double achievementsRate) {
		this.achievementsRate = achievementsRate;
	}
	/**
	 * @return the signStatus
	 */
	public String getSignStatus() {
		return signStatus;
	}
	/**
	 * @param signStatus the signStatus to set
	 */
	public void setSignStatus(String signStatus) {
		this.signStatus = signStatus;
	}
	/**
	 * @return the signDate
	 */
	public String getSignDate() {
		return signDate;
	}
	/**
	 * @param signDate the signDate to set
	 */
	public void setSignDate(String signDate) {
		this.signDate = signDate;
	}
	/**
	 * @return the signUlr
	 */
	public String getSignUlr() {
		return signUlr;
	}
	/**
	 * @param signUlr the signUlr to set
	 */
	public void setSignUlr(String signUlr) {
		this.signUlr = signUlr;
	}
	/**
	 * @return the flag
	 */
	public String getFlag() {
		return flag;
	}
	/**
	 * @param flag the flag to set
	 */
	public void setFlag(String flag) {
		this.flag = flag;
	}
	/**
	 * @return the remark
	 */
	public String getRemark() {
		return remark;
	}
	/**
	 * @param remark the remark to set
	 */
	public void setRemark(String remark) {
		this.remark = remark;
	}
	/**
	 * @return the isActive
	 */
	public Integer getIsActive() {
		return isActive;
	}
	/**
	 * @param isActive the isActive to set
	 */
	public void setIsActive(Integer isActive) {
		this.isActive = isActive;
	}
	/**
	 * @return the signCount
	 */
	public int getSignCount() {
		return signCount;
	}
	/**
	 * @param signCount the signCount to set
	 */
	public void setSignCount(int signCount) {
		this.signCount = signCount;
	}
	/**
	 * @return the salesSignUlr
	 */
	public String getSalesSignUlr() {
		return salesSignUlr;
	}
	/**
	 * @param salesSignUlr the salesSignUlr to set
	 */
	public void setSalesSignUlr(String salesSignUlr) {
		this.salesSignUlr = salesSignUlr;
	}
	/**
	 * @return the signX
	 */
	public int getSignX() {
		return signX;
	}
	/**
	 * @param signX the signX to set
	 */
	public void setSignX(int signX) {
		this.signX = signX;
	}
	/**
	 * @return the signY
	 */
	public int getSignY() {
		return signY;
	}
	/**
	 * @param signY the signY to set
	 */
	public void setSignY(int signY) {
		this.signY = signY;
	}
	/**
	 * @return the insurerName
	 */
	public String getInsurerName() {
		return insurerName;
	}
	/**
	 * @param insurerName the insurerName to set
	 */
	public void setInsurerName(String insurerName) {
		this.insurerName = insurerName;
	}
	/**
	 * @return the productName
	 */
	public String getProductName() {
		return productName;
	}
	/**
	 * @param productName the productName to set
	 */
	public void setProductName(String productName) {
		this.productName = productName;
	}
	/**
	 * @return the proposalNo
	 */
	public String getProposalNo() {
		return proposalNo;
	}
	/**
	 * @param proposalNo the proposalNo to set
	 */
	public void setProposalNo(String proposalNo) {
		this.proposalNo = proposalNo;
	}
	/**
	 * @return the policyNo
	 */
	public String getPolicyNo() {
		return policyNo;
	}
	/**
	 * @param policyNo the policyNo to set
	 */
	public void setPolicyNo(String policyNo) {
		this.policyNo = policyNo;
	}
	/**
	 * @return the policyholderName
	 */
	public String getPolicyholderName() {
		return policyholderName;
	}
	/**
	 * @param policyholderName the policyholderName to set
	 */
	public void setPolicyholderName(String policyholderName) {
		this.policyholderName = policyholderName;
	}
	
}
